module Rubotron
  class Version < String
    [:major, :minor, :patch].each_with_index do |version, index|
      define_method "#{version}" do
        self.to_s.split(".")[index]
      end
    end
  end
  VERSION = Rubotron::Version.new("0.1.1")
end
